Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class EnumLength

    java.lang.Object
      org.apache.fop.fo.properties.Property
          org.apache.fop.fo.properties.LengthProperty
              org.apache.fop.fo.properties.EnumLength

All Implemented Interfaces:
  Length, Numeric

public class EnumLength
extends LengthProperty

A length quantity in XSL which is specified as an enum, such as "auto"

Nested Class Summary

Nested classes inherited from class org.apache.fop.fo.properties.LengthProperty
`LengthProperty.Maker`

Field Summary

Fields inherited from class org.apache.fop.fo.properties.Property
`log`

Constructor Summary
`EnumLength(Property enumProperty)`

Method Summary
`int` | `getEnum()` This method expects to be overridden by subclasses
`double` | `getNumericValue()` Return the value of this Numeric
`double` | `getNumericValue(PercentBaseContext context)` Return the value of this Numeric
`java.lang.Object` | `getObject()`
`java.lang.String` | `getString()` This method expects to be overridden by subclasses.
`int` | `getValue()` Returns the length in 1/1000ths of a point (millipoints)
`int` | `getValue(PercentBaseContext context)` Returns the length in 1/1000ths of a point (millipoints)
`boolean` | `isAbsolute()` Return true if the numeric is an absolute value.

Methods inherited from class org.apache.fop.fo.properties.LengthProperty
`getDimension, getLength, getNumeric`

Methods inherited from class org.apache.fop.fo.properties.Property
`getCharacter, getColor, getCondLength, getKeep, getLengthPair, getLengthRange, getList, getNCname, getNumber, getSpace, getSpecifiedValue, isAuto, setSpecifiedValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EnumLength

    public EnumLength(Property enumProperty)

Method Detail

### getEnum

    public int getEnum()

  This method expects to be overridden by subclasses

  Specified by:
    `getEnum` in interface `Numeric`
  Overrides:
    `getEnum` in class `Property`
  Returns:
    integer equivalent of enumerated property value

### isAbsolute

    public boolean isAbsolute()

  Description copied from interface: `Numeric`
  Return true if the numeric is an absolute value. Relative values are percentages and table-column-units. All other numerics are absolute.

  Returns:
    true when the numeric is absolute.

### getValue

    public int getValue()

  Returns the length in 1/1000ths of a point (millipoints)

  Returns:
    the length in millipoints

### getValue

    public int getValue(PercentBaseContext context)

  Returns the length in 1/1000ths of a point (millipoints)

  Parameters:
    `context` - The context for the length calculation (for percentage based lengths)
  Returns:
    the length in millipoints

### getNumericValue

    public double getNumericValue()

  Return the value of this Numeric

  Returns:
    the computed value.

### getNumericValue

    public double getNumericValue(PercentBaseContext context)

  Return the value of this Numeric

  Parameters:
    `context` - The context for the length calculation (for percentage based lengths)
  Returns:
    the computed value.

### getString

    public java.lang.String getString()

  This method expects to be overridden by subclasses.

  Overrides:
    `getString` in class `Property`
  Returns:
    String property value

### getObject

    public java.lang.Object getObject()

  Overrides:
    `getObject` in class `LengthProperty`
  Returns:
    this.length cast as an Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.